Subject: Lanczos codes

From: Jane Cullum <[email-masked]>
Date: Thu, 9 Jan 86 13:10:14 EST

1/9/86
Jack,
I have not been able to figure out how to get files
to you on BITNET so I am going to try sending them over
CSNET.  They will be coming from Ralph's system because
that is where they are stored.   We will first send the
real symmetric codes, LEVAL, LESUB, LEMULT, LEVEC and
LEVALHED (the documentation which may never arrive because
it is long) plus  sample input files and sample exec files.
LEVAL is the eigenvalue code, LEVEC is the vector code.
We are just beginning to use the 3090-vector facility
and are looking at vectorizing these codes.

Could you recommend a reference on (1) vectorizing
inverse iteration on a tridiagonal matrix and
(2) vectorizing a bisection routine; papers on dealing
with scalar recurrences  and on vectorizing
(3) band matrix-vector  multiplication,
and band factorization.  Alternatively maybe you know the
name of someone I could contact to get papers on this.

Thanks and best wishes.       Jane C